/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing VocabularyInstanceDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class VocabularyInstanceDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for VocabularyInstanceDto
        //private VocabularyInstanceDto instance;

        public VocabularyInstanceDtoTests()
        {
            // TODO uncomment below to create an instance of VocabularyInstanceDto
            //instance = new VocabularyInstanceDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of VocabularyInstanceDto
        /// </summary>
        [Fact]
        public void VocabularyInstanceDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" VocabularyInstanceDto
            //Assert.IsType<VocabularyInstanceDto>(instance);
        }

        /// <summary>
        /// Test the property 'GraphUri'
        /// </summary>
        [Fact]
        public void GraphUriTest()
        {
            // TODO unit test for the property 'GraphUri'
        }

        /// <summary>
        /// Test the property 'InstanceUri'
        /// </summary>
        [Fact]
        public void InstanceUriTest()
        {
            // TODO unit test for the property 'InstanceUri'
        }

        /// <summary>
        /// Test the property 'TypeUri'
        /// </summary>
        [Fact]
        public void TypeUriTest()
        {
            // TODO unit test for the property 'TypeUri'
        }

        /// <summary>
        /// Test the property 'SubClassOfUri'
        /// </summary>
        [Fact]
        public void SubClassOfUriTest()
        {
            // TODO unit test for the property 'SubClassOfUri'
        }

        /// <summary>
        /// Test the property 'DisplayName'
        /// </summary>
        [Fact]
        public void DisplayNameTest()
        {
            // TODO unit test for the property 'DisplayName'
        }

        /// <summary>
        /// Test the property 'Description'
        /// </summary>
        [Fact]
        public void DescriptionTest()
        {
            // TODO unit test for the property 'Description'
        }
    }
}
